/*****************************************************************************
 * misc-utils                                                                *
 *****************************************************************************/

/*****************************************************************************
 * File name:     portfwd.h                                                  *
 * Created:       2003-01-17 by Hampa Hug <hampa@hampa.ch>                   *
 * Last modified: 2003-01-17 by Hampa Hug <hampa@hampa.ch>                   *
 * Copyright:     (C) 2003 Hampa Hug <hampa@hampa.ch>                        *
 *****************************************************************************/

/*****************************************************************************
 * This program is free software. You can redistribute it and / or modify it *
 * under the terms of the GNU General Public License version 2 as  published *
 * by  the Free Software Foundation.                                         *
 *                                                                           *
 * This program is distributed in the hope  that  it  will  be  useful,  but *
 * WITHOUT  ANY   WARRANTY,   without   even   the   implied   warranty   of *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU  General *
 * Public License for more details.                                          *
 *****************************************************************************/

/* $Id: portfwd.h 384 2005-12-29 11:30:57Z hampa $ */


#define FWD_MAX_PORTS 1024

#define FWD_BUF_SIZE  4096

typedef struct {
	char           *inp_addr;
	unsigned short inp_port;
	int            inp_fd;

	char           *out_addr;
	unsigned short out_port;
} portfwd_t;
